Skip to main content
PUT
Update a question on a form template

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The form template identifier

questionId
integer
required

The question identifier

Body

application/json
label
string

The label.

Maximum string length: 255
question_type
enum<string>

The question type.

Available options:
text,
textarea,
select,
radio,
checkbox,
number,
date,
boolean
required
boolean

Whether the field is required.

order
integer

The display order.

Required range: x >= 0
helper_text
string | null

Helper text shown to the user.

options
object[]

The available options.

visibility_rules
object[]

Visibility rule definitions.

Response

success
string
required
data
FormQuestionResource · object
required